import RevaneIOC from 'revane-ioc';
import { RevaneFastify } from 'revane-fastify';
export declare class ServerBuilder {
    private commands;
    private optionCommands;
    private revaneIOC;
    private options;
    private server;
    constructor(optionCommands: any, commands: any);
    container(container: RevaneIOC): ServerBuilder;
    register(id: string | any, options?: any): void;
    registerControllers(): void;
    setErrorHandler(id: string | any): void;
    setNotFoundHandler(id: string | any): void;
    ready(handler: (error: Error) => void): void;
    silent(isSilent?: boolean): void;
    build(): Promise<RevaneFastify>;
    private processComamands;
    private createServer;
}
