import { Command } from './Command';
export declare function revaneBuilder(): RevaneBuilder;
export declare class RevaneBuilder {
    private serverBuilder;
    private containerBuilder;
    server(serverOptionCommands: Command[], serverCommands: Command[]): RevaneBuilder;
    container(containerCommands: Command[]): RevaneBuilder;
    build(): Promise<{
        container: import("revane-ioc").default;
        server: import("revane-fastify").RevaneFastify;
    }>;
}
